com.fasterxml.jackson.databind.ser.impl

## Class SimpleBeanPropertyFilter.SerializeExceptFilter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
  - - com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter.SerializeExceptFilter

- All Implemented Interfaces:
    BeanPropertyFilter, PropertyFilter, Serializable
  Enclosing class:
    SimpleBeanPropertyFilter

      public static class SimpleBeanPropertyFilter.SerializeExceptFilter
      extends SimpleBeanPropertyFilter
      implements Serializable

  Filter implementation which defaults to serializing all properties, except for ones explicitly listed to be filtered out.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter

      `SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `_propertiesToExclude` Set of property names to filter out.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializeExceptFilter(Set<String> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `include(BeanPropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
    `protected boolean` | `include(PropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter

      `depositSchemaProperty, depositSchemaProperty, depositSchemaProperty, depositSchemaProperty, filterOutAllExcept, filterOutAllExcept, from, includeElement, serializeAll, serializeAll, serializeAllExcept, serializeAllExcept, serializeAsElement, serializeAsField, serializeAsField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _propertiesToExclude

          protected final Set<String> _propertiesToExclude

      Set of property names to filter out.

  - ### Constructor Detail

    - #### SerializeExceptFilter

          public SerializeExceptFilter(Set<String> properties)

  - ### Method Detail

    - #### include

          protected boolean include(BeanPropertyWriter writer)

      Description copied from class: `SimpleBeanPropertyFilter`
      Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
      Overrides:
        `include` in class `SimpleBeanPropertyFilter`

    - #### include

          protected boolean include(PropertyWriter writer)

      Description copied from class: `SimpleBeanPropertyFilter`
      Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
      Overrides:
        `include` in class `SimpleBeanPropertyFilter`

Copyright © 2008–2020 FasterXML. All rights reserved.